IntegerTextFieldHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: IntegerTextFieldHandle

# Interface IntegerTextFieldHandle

All Superinterfaces:
  `FormComponentHandle`

public interface IntegerTextFieldHandle extends FormComponentHandle
Handle for the "Text field with integer format" form component. The Swing widget is a `JTextField` with an integer-only verifier.

Reach this handle via `ScreenHandle.integerTextField()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IntegerTextFieldHandle`
  `assertDisabled()`
  `IntegerTextFieldHandle`
  `assertEnabled()`
  `IntegerTextFieldHandle`
  `assertInvisible()`
  `IntegerTextFieldHandle`
  `assertText(String expected)`
  Assert the current text equals the expected value.
  `IntegerTextFieldHandle`
  `assertValue(int expected)`
  Assert the current integer value equals the expected value.
  `IntegerTextFieldHandle`
  `assertVisible()`
  `IntegerTextFieldHandle`
  `clear()`
  Clear the field.
  `String`
  `getText()`
  The current text in the field.
  `Integer`
  `getValue()`
  The current value as an `Integer`, or `null` if the field is empty or invalid.
  `IntegerTextFieldHandle`
  `setText(String text)`
  Set the field's raw text.
  `IntegerTextFieldHandle`
  `setValue(int value)`
  Set the field's value as an integer.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getText

    @NotNull String getText()
    The current text in the field.

  - ### getValue

    @Nullable Integer getValue()
    The current value as an `Integer`, or `null` if the field is empty or invalid.

  - ### setText

    @NotNull IntegerTextFieldHandle setText(@NotNull String text)
    Set the field's raw text.

  - ### setValue

    @NotNull IntegerTextFieldHandle setValue(int value)
    Set the field's value as an integer.

  - ### clear

    @NotNull IntegerTextFieldHandle clear()
    Clear the field.

  - ### assertText

    @NotNull IntegerTextFieldHandle assertText(@NotNull String expected)
    Assert the current text equals the expected value.

  - ### assertValue

    @NotNull IntegerTextFieldHandle assertValue(int expected)
    Assert the current integer value equals the expected value.

  - ### assertEnabled

    @NotNull IntegerTextFieldHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull IntegerTextFieldHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull IntegerTextFieldHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull IntegerTextFieldHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`